public class BspException
{
	public static void main(String[]args) //throws java.io.IOException
	{
		String textVonDerTastatur="";
		int ganzeZahl=0;
		//Tastatureingabe vorbereiten
		java.io.BufferedReader in=new java.io.BufferedReader(
			new java.io.InputStreamReader(System.in));
		
		System.out.println("Bitte geben Sie eine ganze Zahl ein");
		try
		{
			ganzeZahl=Integer.parseInt(in.readLine());
			System.out.println("Sie haben die folgende Zahl eingegeben: "
								+ganzeZahl);
		}
		catch(NumberFormatException nfe)
		{
			System.out.println("Sie haben keine Zahl eingegeben!");
		}
		catch(java.io.IOException ioe)
		{
			System.out.println("Probleme bei der Eingabe!");
		}
		System.out.println("Ende");
	}
}